using APT.BaseData.Domain.Entities.FM;
using APT.Infrastructure.Core;
using System;
using System.ComponentModel;
namespace APT.MS.Domain.Entities.SE
{
    /// <summary>
    /// 导航：参与部门
    /// </summary>
    [Description("导航：参与部门")]
    public class T_SE_SAFE_SURVEY_LIST_DEPARTMENT : MesEntityBase
    {
        /// <summary>
        /// 试题ID
        /// </summary>
        [Description("调查ID")]
        [DataFieldForeignKey("Nav_Safe", "Nav_JoinDepartment")]
        public Guid SAFE_ID { get; set; }
        /// <summary>
        /// 导航: 试题
        /// </summary>
        [Description("导航: 调查表")]
        public T_SE_SAFE_SURVEY Nav_Safe { get; set; }
        /// <summary>
        /// 部门ID
        /// </summary>
        [Description("部门")]
        [DataFieldForeignKey("Nav_Department")]
        [FormFieldEdit]
        public Guid DEPARTMENT_ID { get; set; }
        /// <summary>
        /// 导航: 部门
        /// </summary>
        [Description("导航: 部门")]
        public T_FM_DEPARTMENT Nav_Department { get; set; }
    }
}
